#include "TagByte.h"

#include <QtCore/QDataStream>

TagByte::TagByte(const qint8 value) : AbstractNamedTag(ID), m_value(value) {}

bool const TagByte::readPayloadFromData(QDataStream &data) {
    data >> m_value;
    return true;
}
bool const TagByte::writePayloadToData(QDataStream &data) const {
    data << m_value;
    return true;
}
